%using the 'tf' command to define a discrete time transfer function as a
%function of 'z', with sampling period of 1 second.
h = tf([0.368 0.264],[1 -1 0.632],1)

%using the 'tf' command to define a discrete time transfer function as a
%function of 'z', with sampling period of 0.1 second.
k = tf([0.368 0.264],[1 -1 0.632],0.1)

%plotting the STEP response in discrete-time for the two cases, sample period 1 second and sample period 0.1 seconds respectively.
%The two plots are overlayed.

step(h,k)

%The transfer function for both plots are the same, but the plotted results
%suggest that reducing the sampling period by a factor of 10 makes the STEP
%response QUICKER by a factor of 10.

%I was thinking that reducing the sampling period (which means sampling at a FASTER RATE) would produce
%the same plots, except that the plot with the 'faster' sampling rate would
%be 'smoother' (with more points and finer resolution). Am I
%misunderstanding something fundamental about sampling rate and discrete-time transfer functions?